Skip to main content

Get Terraform Job Record

GET 

/v1/terraform/terraform_job_record/:job_id

Get a terraform job record

Request

Path Parameters

    job_id uuidrequired

    The terraform job record ID

Responses

Successful Response

Schema

    terraform_vm_region_id uuidrequired

    The region ID of the region selected for the terraform job.

    terraform_vm_disk_id uuidrequired

    The disk ID of the disk selected for the terraform job.

    terraform_vm_size_id uuidrequired

    The size ID of the size selected for the terraform job.

    terraform_vm_resource_group_id uuidrequired

    The resource group ID of the resource group selected for the terraform job.

    terraform_vm_operating_system_id uuidrequired

    The operating system ID of the operating system selected for the terraform job.

    terraform_user_name Terraform User Name (string)required

    Possible values: non-empty and <= 64 characters

    The name of the user that was logged in for the terraform job.

    terraform_job_timestamp date-timerequired

    The name of the user that was logged in for the terraform job.

    terraform_job_raw_json Terraform Job Raw Json (string)required

    Possible values: non-empty

    Raw JSON data sent from portal.

    terraform_job_record_id uuidrequired
Loading...